summaryrefslogtreecommitdiff
path: root/tests/du
diff options
context:
space:
mode:
Diffstat (limited to 'tests/du')
-rwxr-xr-xtests/du/deref.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/du/deref.sh b/tests/du/deref.sh
index 670ee5cc6..6c2a47241 100755
--- a/tests/du/deref.sh
+++ b/tests/du/deref.sh
@@ -34,7 +34,7 @@ ln -s nowhere dangle || framework_failure_
du -sD slink b > /dev/null 2>&1 || fail=1
# This used to fail to report the dangling symlink.
-du -L dangle > /dev/null 2>&1 && fail=1
+returns_ 1 du -L dangle > /dev/null 2>&1 || fail=1
# du -L used to mess up, either by counting the symlink's disk space itself
# (-L should follow symlinks, not count their space)